sopds+openmediavault

5 years 7 months ago - 5 years 7 months ago #310 by wishuwerehere
wishuwerehere created the topic: sopds+openmediavault
кто нибудь ставил openmediavault? с питоном и mysql-connector-python
ln: `/opt/sopds/logs': cannot overwrite directory
Traceback (most recent call last):
  File "/opt/sopds/py/sopdsd.py", line 9, in <module>
    import sopdserve
  File "/opt/sopds/py/sopdserve.py", line 8, in <module>
    import sopdscli
  File "/opt/sopds/py/sopdscli.py", line 6, in <module>
    import sopdsdb
  File "/opt/sopds/py/sopdsdb.py", line 5, in <module>
    import mysql.connector
  File "/usr/local/lib/python3.2/dist-packages/mysql/connector/__init__.py", line 34, in <module>
    import _version
ImportError: No module named _version

чего только не делал, не выходит никак, помогите кто-нить??

если в питоновских скриптах поменять
#!/usr/bin/env python3 на #!/usr/bin/env python


то выдает такое
# /etc/init.d/sopds start
ln: `/opt/sopds/logs': cannot overwrite directory
Traceback (most recent call last):
  File "/opt/sopds/py/sopdsd.py", line 8, in <module>
    import sopdscfg
  File "/opt/sopds/py/sopdscfg.py", line 26, in <module>
    import configparser
ImportError: No module named configparser
Last Edit: 5 years 7 months ago by wishuwerehere.

Please Войти or Create an account to join the conversation.

  • wishuwerehere
  • wishuwerehere's Avatar Topic Author
  • Offline
  • Осваиваюсь на форуме
  • Осваиваюсь на форуме
More
5 years 7 months ago #311 by mitshel
mitshel replied the topic: sopds+openmediavault
Замена #!/usr/bin/env python3 на #!/usr/bin/env python скорее всего приводит к использованию pyton2.x вместо pyton3.x, а в pyton2.x скорее всего модуль configparser отсуствует. Да и в принципе sopds не будет работат под 2м питоном. Так что менять не стоит.

А по поводу первой ошибки, по моему mysql коннектор как-то не правильно поставился.

Please Войти or Create an account to join the conversation.

  • mitshel
  • mitshel's Avatar
  • Offline
  • Администратор
  • Администратор
More
5 years 7 months ago #312 by wishuwerehere
wishuwerehere replied the topic: sopds+openmediavault

mitshel wrote: Замена #!/usr/bin/env python3 на #!/usr/bin/env python скорее всего приводит к использованию pyton2.x вместо pyton3.x, а в pyton2.x скорее всего модуль configparser отсуствует. Да и в принципе sopds не будет работат под 2м питоном. Так что менять не стоит.

А по поводу первой ошибки, по моему mysql коннектор как-то не правильно поставился.

а как правильно его ставить? и где скачать нужную версию?

Please Войти or Create an account to join the conversation.

  • wishuwerehere
  • wishuwerehere's Avatar Topic Author
  • Offline
  • Осваиваюсь на форуме
  • Осваиваюсь на форуме
More
5 years 7 months ago #313 by mitshel
mitshel replied the topic: sopds+openmediavault
На форуме есть, вот здесь например: sopds.ru/index.php/forum/instruktsii-po-...ntu-server-12-04-lts
только по видимости номера версий нужно актуальные использовать

Please Войти or Create an account to join the conversation.

  • mitshel
  • mitshel's Avatar
  • Offline
  • Администратор
  • Администратор
More
5 years 7 months ago #315 by wishuwerehere
wishuwerehere replied the topic: sopds+openmediavault
да помучился, но поставил, пришлось отдельно компилить питон 3.3, отдельно ставить sql-коннектор, но последняю версию не смог поставить....

Теперь другая проблема
на ipade- e не может найти ни книг ни авторов (((
там есть 2- проги kybook и iBouquiniste
на одной начинаешь проваливаться и когда доходишь уже авторов -- не пускает дальше
на второй проваливаешся до авторов а потом как по циклу опять на заглавную страницу попадаешь
и поиск пишет, что ни одной книги или автора не найдены (((
на androide всё нормально, даже обложки показывает (
обидно, я всё замутчил, что бы дочка читать могла книжки, а тут такая засада (((
может логи запросов http выложить?

Please Войти or Create an account to join the conversation.

  • wishuwerehere
  • wishuwerehere's Avatar Topic Author
  • Offline
  • Осваиваюсь на форуме
  • Осваиваюсь на форуме
More
5 years 7 months ago #316 by mitshel
mitshel replied the topic: sopds+openmediavault
Не надо... Там какая-то из предыдущих версий (>0.12) нормально на iPade работала, проблема в том что при изменениях/улучшениях я не имею возможности на Ipaдах тестировать (у меня только Android), поэтому какие-то проблемы появляются.
Но заверяю Вас, скоро будет новая версия (через неделю, максимум 2е), я уже нашел IpAd для тестов, так-что обещаю восстановить работу на этих устройствах.

Please Войти or Create an account to join the conversation.

  • mitshel
  • mitshel's Avatar
  • Offline
  • Администратор
  • Администратор
More
Time to create page: 0.114 seconds